/* semesterGradePt.cpp computes a student's semester grade point average.
 *
 * Input: student's name
 *         - first name
 *         - middle initial
 *         - last name
 *        student id number (an integer)
 *        for each of five courses:
 *         - the credit hours, a double
 *         - the grade, a double
 *
 * Precondition: id number > 0 && 0.0 < credit hours && credit hours < 6.0 &&
 *                 0.0 <= grade && grade <= 4.0.
 *
 * Output: student's name, id number, and semester gpa.
 */
 
#include <iostream>      // cin, cout, <<, >>
#include <string>        // string
using namespace std;

int main()
{
  cout << "\nPlease enter the student's name (first, middle-initial, last): ";
  string firstName, lastName;
  char middleInitial;
  cin >> firstName >> middleInitial >> lastName;
  
  cout << "\nPlease enter the student id number: ";
  int idNumber;
  cin >> idNumber;
  
  cout << "The credit hours is the amount of credit your receive for a course.\n"
       << "The grade is: 0.0 for a failing grade,\n"
       << "              0.75 for a 'D-'\n"
       << "              1.0 for a 'D'\n"
       << "              1.25 for a 'D+'\n"
       << "              1.75 for a 'C-'\n"
       << "              2.0 for a 'C'\n"
       << "              2.25 for a 'C+'\n"
       << "              2.75 for a 'B-'\n"
       << "              3.0 for a 'B'\n"
       << "              3.25 for a 'B+'\n"
       << "              3.75 for an 'A-'\n"
       << "              4.0 for an 'A' or 'A+'\n";
       
  double course1Hours, course2Hours, course3Hours, course4Hours, course5Hours,
         course1Grade, course2Grade, course3Grade, course4Grade, course5Grade;
  cout << "\nPlease enter:\n"
       << "credit hours (0..6) and grade (0.0..4.0) for course 1: ";
  cin >> course1Hours >> course1Grade;
  cout << "\nPlease enter:\n"
       << "credit hours (0..6) and grade (0.0..4.0) for course 2: ";
  cin >> course2Hours >> course2Grade;
  cout << "\nPlease enter:\n"
       << "credit hours (0..6) and grade (0.0..4.0) for course 3: ";
  cin >> course3Hours >> course3Grade;
  cout << "\nPlease enter:\n"
       << "credit hours (0..6) and grade (0.0..4.0) for course 4: ";
  cin >> course4Hours >> course4Grade;
  cout << "\nPlease enter:\n"
       << "credit hours (0..6) and grade (0.0..4.0) for course 5: ";
  cin >> course5Hours >> course5Grade;

  double semesterHours = course1Hours + course2Hours + course3Hours 
                          + course4Hours + course5Hours;
                          
  double semesterGPA = course1Hours / semesterHours * course1Grade +
                        course2Hours / semesterHours * course2Grade +
                        course3Hours / semesterHours * course3Grade +
                        course4Hours / semesterHours * course4Grade +
                        course5Hours / semesterHours * course5Grade;
                        
  cout << firstName << ' ' << middleInitial << ". " << lastName
       << "\nid number: " << idNumber
       << "\nsemester credit hours: " << semesterHours
       << "\nsemester GPA: " << semesterGPA << endl;



  return 0;
}

                        